@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&display=swap');

/* Set all elements to use the Open Sans font */
body,
input,
textarea,
button,
select {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    margin: 0;
    padding: 0;
}

/* Set the background color of all pages */
html,
body {
    background-color: #E1D8E9;
    margin: 0;
    padding: 0;
    height: 100%;
    display: flex;
    flex-direction: column;
}

body {
    background-image: url("https://i.postimg.cc/GmjH7HTR/Untitled-1flower.png");
    background-size: auto;
    background-repeat: repeat;
}

header nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #94889C;
    border-bottom: 1px solid #CCC;
    box-sizing: border-box;
    margin-top: 0;
    margin-bottom: 2em;
    padding: 0 1em;
}

header nav ul {
    display: flex;
    list-style: none;
    margin: 0;
    padding: 0;
}

header nav ul li {
    margin: 0 1em;
    padding: 1em 0;
}

header nav ul li a {
    font-weight: bold;
    text-decoration: none;
    color: #434343;
}

header nav ul li a:hover {
    color: #929DB1;
}

header nav .nav-left {
    flex: 1;
}

header nav .nav-right {
    display: flex;
    align-items: center;
    justify-content: flex-end;
}

.cover-photo {
    flex: 0 0 auto;
}

.cover-photo img {
    max-width: auto;
    height: 350px;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
}

.card-container {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    justify-content: flex-start;
    padding: 20px;
}

.card {
    border: 1px solid #ccc;
    border-radius: 10px;
    padding: 20px;
    width: 300px;
    height: 100px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    cursor: pointer;
    position: relative;
}

.card:hover {
    transform: scale(1.05);
}

.card.expanded {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    padding: 40px;
    box-sizing: border-box;
    z-index: 1000;
    overflow: auto;
    border-radius: 0;
}

.card h3 {
    margin-top: 0;
}

.card p {
    margin: 10px 0;
}

.card .status {
    font-weight: bold;
}

/* Make the input tags look nicer */
input {
    height: 1.5em;
    margin: 0;
    padding: .25em .5em;
}

/* Make the select boxes look nicer */
select {
    height: 2.5em;
}

/* Make the select-multiple boxes look nicer */
select[multiple] {
    height: 7.5em;
}

/* Make the textarea inputs look nicer */
textarea {
    margin: 0;
    padding: .25em .5em;
}

/* Set the width on all tables */
table {
    width: 100%;
}

/* Set the size of the help text in forms */
.helptext {
    display: block;
    font-size: 80%;
}

/* Make the login and sign-up forms look nicer */
.login-form,
.signup-form {
    background-color: #EEEBF2;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 400px;
    padding: 2em;
    color: #4E4C4F;
}

/* Make the task and projects forms look nicer */
.task-form,
.project-form {
    background-color: #EEEBF2;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 600px;
    padding: 2em;
    color: #4E4C4F;
}

.create-project-link {
    display: inline-block;
    margin-bottom: 20px;
}

.add-company-link {
    display: inline-block;
    margin-top: 20px;
}

.task-form input[type="checkbox"] {
    width: 25px !important;
}

/* Make all of the headers the same */
.task-form h1,
.login-form h1,
.signup-form h1,
.project-list h1,
.project-form h1,
.project-detail h1 {
    margin-top: 0;
}

/* Add spacing to the section of the project detail */
.project-detail h2 {
    margin-top: 2em;
}

/* Standardize form layout using grid */
.task-form p,
.login-form p,
.signup-form p,
.project-form p {
    display: grid;
    align-items: center;
    column-gap: 10px;
    grid-template-columns: 100px 1fr;
}

/* Standardize help text positions in the grid */
.task-form p .helptext,
.login-form p .helptext,
.signup-form p .helptext,
.project-form p .helptext {
    grid-column-start: 2;
    grid-column-end: 3;
}

/* Make the buttons a little larger */
.task-form button,
.my-tasks-list button,
.login-form button,
.signup-form button,
.project-form button {
    padding: 0.25em 1em;
    background-color: #EEEBF2;
}

.task-form button:hover,
.my-tasks-list button:hover,
.login-form button:hover,
.signup-form button:hover,
.project-form button:hover {
    padding: 0.25em 1em;
    background-color: #929DB1;
}

/* Add a nice box around the lists and details */
.my-tasks-list,
.project-list,
.project-detail {
    background-color: #EEEBF2;
    border-radius: 4px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    margin: auto;
    max-width: 800px;
    padding: 2em;
    color: #4E4C4F;
}

.my-tasks-list a:hover,
.project-list a:hover,
.project-detail a:hover {
    color: #929DB1;
}

/* Add padding to the table header and table datum tags */
.my-tasks-list th,
.my-tasks-list td,
.project-list th,
.project-list td,
.project-detail th,
.project-detail td {
    padding: .5em;
}

/* Add a bottom border to the table header tags */
.my-tasks-list thead tr th,
.project-list thead tr th,
.project-detail thead tr th {
    border-bottom: 2px solid #DEDEDE;
}

/* Center align the text on specific table header cells */
.my-tasks-list tbody td:nth-child(2),
.my-tasks-list tbody td:nth-child(3),
.my-tasks-list tbody td:nth-child(4),
.project-list tbody tr td,
.project-detail tbody td:nth-child(2),
.project-detail tbody td:nth-child(3),
.project-detail tbody td:nth-child(4),
.project-detail tbody td:nth-child(5) {
    text-align: center;
}

/* Add horizontal rules to all rows except the last */
.my-tasks-list tbody :not(tr:last-child) td,
.project-list tbody :not(tr:last-child) td,
.project-detail tbody :not(tr:last-child) td {
    border-bottom: 1px solid #DEDEDE;
}

a:link {
    color: #4E4C4F;
}

a:visited {
    color: #4E4C4F;
}

.content-wrapper {
    flex: 1 0 auto;
    display: flex;
    flex-direction: column;
}

main {
    flex: 1 0 auto;
}

.footer {
    background-color: #94889C;
    color: #EEEBF2;
    text-align: left;
    padding: 0.5em 0;
    flex-shrink: 0;
    font-size: 0.8em;
}

.footer p {
    margin: 0.5em 0;
    padding: 0 0 0 2em;
}
